package com.fjhx.common.entity.logistics.vo;

import com.fjhx.common.entity.logistics.po.LogisticsEndingAmount;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 物流期末余额列表查询返回值实体
 *
 * @author
 * @since 2024-05-06
 */
@Getter
@Setter
public class LogisticsEndingAmountVo extends LogisticsEndingAmount {
    /**
     * 预付金额
     */
    private BigDecimal advanceAmount;

    /**
     * 付款金额
     */
    private BigDecimal paymentAmount;

    /**
     * 贷方发生额
     */
    private BigDecimal creditAmount;

    /**
     * 抵扣金额
     */
    private BigDecimal deductionAmount;

    /**
     * 应付抵扣金额
     */
    private BigDecimal paymentDeductionAmount;

    /**
     * 账期月份
     */
    private Integer accountPeriodMonth;
}
