package com.fjhx.form.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 客户应付余额
 * </p>
 *
 * @author
 * @since 2024-05-11
 */
@Getter
@Setter
@TableName("customer_payable_balance")
public class CustomerPayableBalance extends BasePo {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 日期-yyyy-MM
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM")
    private Date accountDate;

    /**
     * 月余额
     */
    private BigDecimal balance;

    /**
     * 月调整
     */
    private BigDecimal adjust;

}
